
body {
    margin: 7;
    padding: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    font-family: 'Container', sans-serif;
    cursor: none; /* Hide the default cursor */
}

*:not(.circular-cursor) {
    cursor: none;
  }

.circular-cursor {
    position: absolute;
    width: 20px;
    height: 20px;
    background-color: #ce8458;
    border-radius: 50%;
    pointer-events: none;
    transform: translate(-50%, -50%);
    z-index: 9999;
    box-shadow: 0 0 10px rgba(255, 165, 0, 0.5); /* Soft glow effect */
    overflow: hidden; /* Clip the dots within the circle */
    transition: width 0.2s ease, height 0.2s ease; /* Add transition to width and height */
}
  
.circular-cursor::before {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    background-image: radial-gradient(rgb(216, 97, 5) 0.5px, transparent 0.5px), radial-gradient(white 0.5px, transparent 0.5px);
    background-size: 4px 2px;
    background-position: 0 0, 2.5px 2.5px;
    transition: background-size 0.2s ease; /* Add transition to background-size */
}

/* Light mode styles */
body.dark-mode {
    background-color: #78867C;
    color: #FAFAFA;
    overflow-y: scroll;
}

.container {
    display: flex;
    color: #FAFAFA;
    height: 100vh;
    align-items: center; 
    justify-content: space-between;
}

.container > div {
    flex: 1;
}

.container > div:first-child {
    text-align: right;
    padding-right: 20px;
}

h1, .index-h1, h2 {
    margin: 0;
    font-family: 'Container', sans-serif;
}

.mainTitle { 
    color: #FAFAFA;
    font-size: 4vw; /* Adjust font size using viewport width units */
}

.subTitle { 
    color: #535d56;
    font-size: 2vw; /* Adjust font size using viewport width units */
}

h1 { 
    color: #FAFAFA;
    font-size: 2vw; /* Adjust font size using viewport width units */
}

h2 { 
    color: #535d56;
    font-size: 1.2vw; /* Adjust font size using viewport width units */
}

p, h3{ 
    color: #291711;
}

li{
    color: #535d56;
}

/* Common styles for navigation menu links */
.navbar a {
    display: inline-block;
    position: relative;
    color: #a9a9a9;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    white-space: nowrap;
    font-size: large;
    font-weight: bold;
    transition: color 0.3s ease, border-bottom 0.3s ease;
}

.navbar a::before {
    content: '';
    position: absolute;
    bottom: 5px;
    left: 0.5;
    width: 0;
    height: 2px;
    background-color: #FAFAFA;
    transform-origin: bottom left;
    transform: scaleX(0.7); 
    transition: width 0.3s ease;
}

.navbar a:hover::before {
    width: 100%;
}

/* Common hover styles for navigation menu links */
.navbar a:hover {
    color: #FAFAFA;
    position: relative;
    text-decoration: none;
}

.navbar a.active,
.navbar a.active:hover {
    color: #FAFAFA;
    text-decoration: none;
    position: relative;
    padding-bottom: 8px; /* Adjust the value as needed */
    border-bottom: 2.5px solid #FAFAFA; /* Adjust the border size and color */
    font-weight: bold; /* Make the text bold */
}

/* Common styles for the top bar */
.top-bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
}

.name {
    color: #FAFAFA;
    font-size: 1.4em;
    font-weight: normal;
    font-family: 'Signature', sans-serif;
}

.name-signature {
    color: #FAFAFA;
    font-size: 0.8em;
    font-weight: normal;
    font-family: 'Signature', sans-serif;
}

.icon {
    background-color: #1F4068;
    color: #FAFAFA;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.2em;
}

/* Common styles for footer content */
.footer-content {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 20px;
    margin-top: 3%;
    margin-left: 9%;
}

.footer-content .name-bottom {
    color: #FAFAFA;
    font-weight: bold;
    font-size: 1.5em;
}

.footer-content .title-bottom {
    color: #a9a9a9;
    font-size: 0.8em;
}

.footer-content .social-icons a {
    color: #FAFAFA;
    text-decoration: none;
    font-size: 0.8em;
    transition: color 0.3s ease, transform 0.3s ease; /* Added transform transition */
}

.footer-content .social-icons a:hover {
    color: white;
    transform: scale(1.1); /* Added scale transform */
}
.footer hr {
    border-color: #a9a9a9;
}

.footer-content p {
    font-size: 0.7em;
    color: #a9a9a9;
    margin-top: 40%;
}

/* Common styles for email container */
.email-container {
    width: 400px;
    padding: 20px;
    border-radius: 10px;
    color: #FAFAFA;
    font-family: 'Email', sans-serif;
    margin-left: auto;
    margin-right: 8%;
}

label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
    color: #b7b7b7;
    font-family: 'Email', sans-serif;
}

input[type="text"], textarea {
    width: 100%;
    padding: 10px;
    margin-bottom: 15px;
    border: 1px;
    border-radius: 5px;
    color: #FAFAFA;
    font-family: 'Email', sans-serif;
    background-color: #535d56;
}

textarea {
    height: 100px;
}

.submit-button {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 5px;
    border: none;
    background-color: transparent;
}

.submit-button iconify-icon {
    color: white;
    font-size: 40px;
}

/* Tiny panda */
.icon {
    background-color: transparent;
    border: none;
    padding: 0;
    display: flex;
    margin-right: 1%;
    align-items: center;
}

.icon img {
    width: 70px;
    height: 50px;
    transition: transform 0.3s;
}

.icon:hover img,
.icon:hover .circle {
    transform: scale(1.1);
}

.circle {
    position: absolute;
    width: 55px;
    height: 55px;
    border: 2px dotted #FAFAFA;
    border-radius: 50%;
    animation: rotate 7s linear infinite;
}

@keyframes rotate {
    0% {
        transform: translateX(0) rotate(0deg);
    }
    100% {
        transform: translateX(0%) rotate(360deg);
    }
}

.fadeInElements{
    animation: fadeInAnimation ease 3s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
}
    
@keyframes fadeInAnimation {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
     }
}